# $Revision: 1.11 $, $Date: 2009/06/18 13:17:49 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Email
%define	pnam	MIME-Creator
Summary:	Email::MIME::Creator - Email::MIME constructor for starting a new part
Summary(pl.UTF-8):	Email::MIME::Creator - konstruktor dla Email::MIME do rozpoczęcia nowej części
Name:		perl-Email-MIME-Creator
Version:	1.456
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3e34396a03fe3c65170909fb57f116cc
URL:		http://search.cpan.org/dist/Email-MIME-Creator/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Email-MIME >= 1.82
BuildRequires:	perl-Email-MIME-Encodings >= 1.313
BuildRequires:	perl-Email-MIME-Modifier >= 1.440
BuildRequires:	perl-Email-Simple >= 1.92
BuildRequires:	perl-Email-Simple-Creator >= 1.4
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Email::MIME::Creator is an Email::MIME constructor for starting a new
MIME part.

%description -l pl.UTF-8
Moduł Email::MIME::Creator stanowi konstruktor dla Email::MIME do
rozpoczęcia nowej części MIME wiadomości e-mail.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Email/MIME/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-MIME-Creator.spec,v $
Revision 1.11  2009/06/18 13:17:49  amateja
- reorganized BRs

Revision 1.10  2009/06/18 13:14:39  amateja
- updated to 1.456

Revision 1.9  2008/05/11 10:46:34  hawk
- updated to 1.454

Revision 1.8  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.6  2006/08/22 15:28:27  glen
- rel 1, generic url

Revision 1.5  2006/08/12 21:31:03  ankry
- updated BRs

Revision 1.4  2006/08/10 21:51:00  agaran
- up to 1.45, rel 0.1, builds here

Revision 1.3  2005/05/31 16:12:51  petec
- up to 1.41
- BR perl-Email-Date

Revision 1.2  2004/12/10 00:40:14  ankry
- pl

Revision 1.1  2004/12/09 23:33:41  radek
- new
